/* 12/12/09 */
/*    LCcolor.h, color routines for LCARS ACCESS 
   Sets LCARS colors and their
   antialiasing tones, plus black and gray
*/


#ifndef LCCOLOR_H
#define LCCOLOR_H


#include <math.h>
#include <float.h>
#include "allegro.h"
#include "lcars24.h"

int BLACK, WHITE, CARDWHITE, ORANGE, RED, DARKRED, LILAC, PALEBLUE, BORG,
	BIGBLUE, BRICK, TAN, NAPLES, SKYBLUE, MANGO, PURPLE,
	LAVENDER, DARKGRAY, SEABLUE, KHAKI, OLIVE;
int fc,bc,ac1,ac2,ac3,ac4;

void LcarsColors();
int FadeOut(int ForeColor);
int FadeIn(int BackColor);
void FontFadeUp(BITMAP *bmp,int x,int y,int Hue,int range);
void FontFadeDown(BITMAP *bmp,int x,int y,int Hue,int range);

#endif

